## ros-kinetic-robotnik-msgs 0.2.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(robotnik_msgs)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS actionlib_msgs std_msgs message_generation)


#######################################
## Declare ROS messages and services ##
#######################################

## Generate messages in the 'msg' folder
add_message_files(DIRECTORY msg
    FILES
    encoders.msg
    inputs_outputs.msg
    ptz.msg
    Data.msg
    Interfaces.msg
    Axis.msg
    AlarmSensor.msg
    Alarms.msg
    MotorStatus.msg
    MotorsStatus.msg
    State.msg
    BatteryStatus.msg
    BatteryStatusStamped.msg
    MotorsStatusDifferential.msg
    InverterStatus.msg
    RobotnikMotorsStatus.msg
    ElevatorAction.msg
    ElevatorStatus.msg
    Cartesian_Euler_pose.msg
    alarmmonitor.msg
    alarmsmonitor.msg
    named_inputs_outputs.msg
    named_input_output.msg
    Register.msg
    Registers.msg
    StringArray.msg
    LaserMode.msg
    LaserStatus.msg
    SafetyModuleStatus.msg
    SubState.msg
    QueryAlarm.msg
    BatteryDockingStatus.msg
    BatteryDockingStatusStamped.msg
    BoolArray.msg
)

## Generate services in the 'srv' folder
add_service_files(
    DIRECTORY srv
    FILES
    get_digital_input.srv
    set_analog_output.srv
    set_mode.srv
    set_ptz.srv
    get_mode.srv
    set_digital_output.srv
    set_odometry.srv
    set_height.srv
    enable_disable.srv
    home.srv
    axis_record.srv
    set_float_value.srv
    SetMotorStatus.srv
    SetElevator.srv
    get_alarms.srv
    ack_alarm.srv
    set_modbus_register.srv
    get_modbus_register.srv
    GetBool.srv
    set_CartesianEuler_pose.srv
    set_named_digital_output.srv
    SetLaserMode.srv
    ResetFromSubState.srv
    QueryAlarms.srv
    SetNamedDigitalOutput.srv
)

add_action_files(
    FILES
    SetElevator.action
)


## Generate added messages and services with any dependencies listed here
generate_messages(
DEPENDENCIES
   actionlib_msgs
   std_msgs  # Or other packages containing msgs
)

catkin_package(CATKIN_DEPENDS
  actionlib_msgs
  message_runtime
  std_msgs
)

=== debian/changelog ===
ros-kinetic-robotnik-msgs (0.2.5-0xenial) xenial; urgency=high

  * add srv and msg to query alarms
  * Create Register msg for Modbus communication
  * Add SetNamedDigitalOutput srv
  * Adding message for an array of Booleans
  * Adding flag lasers_on_standby into SafetyModuleStatus
  * Adding BatteryDockingStatus stamped
  * setting format of battery status stamped in the correct way
  * Adding new messages for battery docking status and battery status stamped
  * updated safety msgs
  * Added srv ResetFromSubState
  * added SubState.msg
  * correcting changelog format
  * zones msgs are now in their own package
  * Added robotnik_navigation_tools msgs
  * Removed lasers ok field
  * Update LaserStatus.msg
  * Update SafetyModuleStatus.msg
  * Added new fields to SafetyModuleStatus
  * Added new fields to SafetyModuleStatus

 -- Angel Soriano <asoriano@robotnik.es>  Wed, 23 Jan 2019 23:00:00 -0000

ros-kinetic-robotnik-msgs (0.2.4-0xenial) xenial; urgency=high

  * LaserStatus: added free_warning flag
  * SafetyModuleStatus msg: added manual_realeas and bumper_override
  * Added SafetyModuleStatus and LaserStatus msg. Added SetLaserMode service
  * added time_charging to BatteryStatus.msg
  * added is_charging flag to BatteryStatus.msg
  * added averagecurrent and analog inputs to MotorStatus msg
  * Contributors: David, rguzman1, Álex

 -- Angel Soriano <asoriano@robotnik.es>  Sun, 15 Jul 2018 22:00:00 -0000

ros-kinetic-robotnik-msgs (0.2.3-0xenial) xenial; urgency=high

  * adding mantaineirs for the package
  * added SetElevator action
  * completing alarms
  * removed set_kuka_pose.srv
  * Cartesian euler pose msg and srv added
  * robotnik_msgs: adding string array
  * Kuka pose msg and set kuka pose srv added
  * added set_named_input to CMakeLists
  * msg changed to digital_inputs and digital_outputs
  * alarms with display number
  * Added named_input_output msg and srv
  * added GetBool service

 -- Angel Soriano <asoriano@robotnik.es>  Sun, 13 May 2018 22:00:00 -0000

ros-kinetic-robotnik-msgs (0.2.2-0xenial) xenial; urgency=high

  * added list of strings of active status word and flags
  * added set/get modbus register message
  * alarms msgs
  * adding new msgs and srvs for a Elevator system
  * adding voltage to BatteryStatus.msg
  * adding new msg for robotnik_base_hw
  * adding I/O to motor status
  * renamed InverterState.msg to InverterStatus.msg
  * added InverterState message

 -- Román Navarro <rnavarro@robotnik.es>  Thu, 15 Feb 2018 23:00:00 -0000

ros-kinetic-robotnik-msgs (0.2.1-0xenial) xenial; urgency=high

  * added MotorsStatusDifferential.msg
  * added BatteryStatus msg
  * Contributors: rguzman

 -- Román Navarro <rnavarro@robotnik.es>  Mon, 11 Jul 2016 22:00:00 -0000

ros-kinetic-robotnik-msgs (0.2.0-0xenial) xenial; urgency=high

  * Adding new field for the Axis.msg
  * Adding msg State.msg
  * Adding new msg State

 -- Román Navarro <rnavarro@robotnik.es>  Thu, 16 Jul 2015 22:00:00 -0000

ros-kinetic-robotnik-msgs (0.1.0-0xenial) xenial; urgency=high

  * Adding new service set_float_value.srv
  * Fixing dependencies problems
  * Adding initial list of messages and services
  * Initial commit

 -- Román Navarro <rnavarro@robotnik.es>  Tue, 05 Aug 2014 22:00:00 -0000

=== debian/control ===
Source: ros-kinetic-robotnik-msgs
Section: misc
Priority: extra
Maintainer: Angel Soriano <asoriano@robotnik.es>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-actionlib-msgs, ros-kinetic-catkin, ros-kinetic-message-generation, ros-kinetic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-robotnik-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-actionlib-msgs, ros-kinetic-message-runtime, ros-kinetic-std-msgs
Description: The robotnik_msgs package.
 Common messages and services used by some Robotnik's packages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-robotnik-msgs//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
